{% extends 'base.html' %}

{% block content %}
<h2>Featured Posts</h2>

<ul>
    {% for featured in featured_posts %}
    <li>
        <a href="{% url 'post_detail' featured.post.pk %}">{{ featured.post.title }}</a>
    </li>
    {% endfor %}
</ul>


{% for post in posts %}
<div class="blog-posts">
    <h3>{{post.title}}</h3>
    <p><b>Author:</b> {{post.author}}</p>
    <p><b>Date Posted:</b> {{post.date_posted}}</p>
    <p>{{post.content}}</p>
    <p><a href="{% url 'post_detail' post.pk%}">Detail</a></p>
</div>
{% endfor %}

{% endblock %}